Index: input.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/bin/psql/input.c,v
retrieving revision 1.46
diff -u -r1.46 input.c
--- input.c	15 Oct 2005 02:49:40 -0000	1.46
+++ input.c	29 Oct 2005 16:57:48 -0000
@@ -34,6 +34,14 @@
 	hctl_ignoredups = 2,
 	hctl_ignoreboth = hctl_ignorespace | hctl_ignoredups
 };
+
+/* Work around a bug in some releases of readline. The shared lib doesn't
+ * doesn't always declare its dependancy on termcap/ncurses/curses. This
+ * creates a reference to termcap so it gets pulled in, but this is never
+ * actually used... */
+
+extern int tputs();
+int (*__pg_never_used)() = tputs;
 #endif
 
 #ifdef HAVE_ATEXIT
